Bug 1418186 - ActiveMQ Server resource type from Apache ActiveMQ plug-in is getting discovered as JBoss Fuse Container resource type by JBoss Fuse 6.x plug-in
Summary: ActiveMQ Server resource type from Apache ActiveMQ plug-in is getting discove...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Other
Version: JON 3.3.8
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: ---
Assignee: Simeon Pinder
QA Contact: Prachi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-01 08:44 UTC by Prachi
Modified: 2017-08-16 19:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-11 23:57:56 UTC
Type: Bug


Attachments (Terms of Use)
JON server log (48.26 KB, text/plain)
2017-02-01 08:44 UTC, Prachi
no flags Details
JON agent log (398.63 KB, text/plain)
2017-02-01 08:45 UTC, Prachi
no flags Details
agent.log (389.48 KB, text/plain)
2017-08-11 16:28 UTC, Prachi
no flags Details
Jon amq inventory screen-shot (236.14 KB, image/png)
2017-08-11 16:35 UTC, Prachi
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker FUSEJON-135 0 Major Resolved Fuse plug-in is discovering ActiveMQ 6 installations as JBoss Fuse Container 2018-07-18 10:26:42 UTC

Description Prachi 2017-02-01 08:44:26 UTC
Created attachment 1246573 [details]
JON server log

Description of problem:  Able to discover ActiveMQ in JON successfully. However, in logs of JON (server.log attached) in is showing product as JBoss, which is not correct, it should show ActiveMQ. But in UI it shows Jboss fuse Container


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Start ActiveMQ 
2. wait till it discovered in JON
3. check JON server.log for discovery of product

Actual results: 
in logs of JON (server.log attached) in is showing product as JBoss

Expected results:
it should show ActiveMQ

Additional info: in UI it shows Jboss fuse Container

Comment 1 Prachi 2017-02-01 08:45:08 UTC
Created attachment 1246574 [details]
JON agent log

Comment 2 Vojta Prusa 2017-03-16 15:22:55 UTC
Also logs in https://bugzilla.redhat.com/show_bug.cgi?id=1418246

Comment 4 Prachi 2017-08-11 16:20:16 UTC
>> It is not clear to me what was actually expected here though. What does "ActiveMQ is getting discovered as product JBoss as per server.log" actually means? What is JBoss? The server.log shouldn't have any bearing on this.


ActiveMQ plugin defines name as name=ActiveMQ while uploading a plugin.
But when it is getting discovered it is showing name as  name=JBoss Fuse Container.


Refer attached agent log for the same.

md5=fd7921624b7994bc4dea461a830a6a80], AgentPlugin [id=0, name=AntBundlePlugin, md5=72c94bd9cc3b9eb973941d0433084787], AgentPlugin [id=0, name=ActiveMQ, md5=70ff967b09b777ae2807249114d28d7f]]


Container{/home/hudson/jboss-a-mq-6.3.0.redhat-187}, name=JBoss Fuse Container [root]{/home/hudson/jboss-a-mq-6.3.0.redhat-187} JBoss Fuse Container [root], parent=<null>, version=1.2.0.redhat-630187]] - adding to local inventory...
2017-08-10 15:15:43,012 INFO  [ResourceDiscoveryComponent.invoker.daemon-14] (org.rhq.plugins.postgres.PostgresDiscoveryComponent)- Discovered a postgres process: ProcessScanResult: scan=[ProcessScan: query=[process|basename|match=^(postgres|postmaster)$,process|basename|nomatch|parent=^(postgres|postmaster)$], name=[unix]], info=[process: pid=[10123], name=[/usr/bin/postgres], ppid=[1]]




>> What was actually installed? Fuse? Or ActiveMQ? If the resource should have been ActiveMQ Server, then there may be a bug in the FuseServerDiscoveryComponent class in where it is not distinguishing the difference between ActiveMQ and Fuse.


I have installed ActiveMq version 6.3.

Comment 5 Prachi 2017-08-11 16:28:46 UTC
Created attachment 1312185 [details]
agent.log

Comment 6 Prachi 2017-08-11 16:35:30 UTC
Created attachment 1312193 [details]
Jon amq inventory screen-shot

Comment 7 Larry O'Leary 2017-08-11 22:39:52 UTC
The ActiveMQ plug-in is looking for a Java process that has defined a system property as part of its arguments called activemq.home. In the case of ActiveMQ 6, the process does not identify itself as ActiveMQ but instead as JBoss Fuse Container.

This is why it is getting discovered as Fuse instead of ActiveMQ. No sure that this is a bug really. Perhaps in versions prior to 6 they identified the process as ActiveMQ but decided not to? In any event, this is specific to the ActiveMQ and Fuse plug-ins so this BZ should be moved to their bug tracker.

Comment 8 Larry O'Leary 2017-08-11 23:57:56 UTC
This issue is in the ActiveMQ and/or Fuse plug-in. As such, I have captured it in the appropriate tracker for that product.

Closing as UPSTREAM (downstream really) as this will be tracked in https://issues.jboss.org/browse/FUSEJON-135

Comment 9 Larry O'Leary 2017-08-16 19:40:53 UTC
Updating status to NOTABUG as per downstream tracker.

The child servers and services defined by the ActiveMQ plug-in are both part of JBoss AMQ and JBoss Fuse. For AMQ 6, Fuse is the parent container.

The AMQ server resource defined by the ActiveMQ plug-in is for the community version.

So, if using JBoss AMQ 5 or 6 or JBoss Fuse, the AMQ resources will appear under the JBoss Fuse Container. If using the upstream ActiveMQ container, (not the product) the ActiveMQ plug-in will be used and resources will appear under a JMX server named ActiveMQ.


Note You need to log in before you can comment on or make changes to this bug.